Loading...
Searching...
No Matches
{he,sy}mv: Hermitian/symmetric matrix-vector multiply ([cz]symv in LAPACK)
BLAS » Level 2 BLAS: matrix-vector ops
Collaboration diagram for {he,sy}mv: Hermitian/symmetric matrix-vector multiply ([cz]symv in LAPACK):

## Functions

subroutine | chemv (uplo, n, alpha, a, lda, x, incx, beta, y, incy)
| CHEMV
subroutine | dsymv (uplo, n, alpha, a, lda, x, incx, beta, y, incy)
| DSYMV
subroutine | ssymv (uplo, n, alpha, a, lda, x, incx, beta, y, incy)
| SSYMV
subroutine | zhemv (uplo, n, alpha, a, lda, x, incx, beta, y, incy)
| ZHEMV
subroutine | csymv (uplo, n, alpha, a, lda, x, incx, beta, y, incy)
| CSYMV computes a matrix-vector product for a complex symmetric matrix.
subroutine | zsymv (uplo, n, alpha, a, lda, x, incx, beta, y, incy)
| ZSYMV computes a matrix-vector product for a complex symmetric matrix.

## Detailed Description